Bug 29996 - Autoload error after xemacs start-up
Summary: Autoload error after xemacs start-up
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xemacs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-28 13:20 UTC by Boris Folgmann
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 11:06:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Boris Folgmann 2001-02-28 13:20:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [de] (X11; U; Linux 2.2.17-14 i686)


In fact I'm running Red Hat Linux release 7.0 (Guinness), but xemacs was
not in the list I can choose from to make this bugreport!! I installed the
latest xemacs update for RH7

I have the followinng packets installed:
$ rpm -qa | grep emacs
emacs-X11-20.7-17
xemacs-21.1.14-2.7
xemacs-info-21.1.14-2.7
emacs-20.7-17
xemacs-el-21.1.14-2.7

RPM gives no verify error:
$ rpm -qa | grep emacs|xargs rpm -V                           


Reproducible: Always
Steps to Reproduce:
1. start xemacs
2.
3.
	

Actual Results:  When I start xemacs it opens a second window which
displays:
(1) (warning/warning) Autoload error in:
/usr/lib/xemacs/xemacs-packages/lisp/locale/auto-autoloads:
	Already loaded

This happens also when I ommit my .emacs file or even other start-up files
like that:
 xemacs -no-init-file -no-site-file -no-autoloads -no-early-packages 


Expected Results:  nothing


My $LANG is de_DE but unsetting LANG does no help.

Comment 1 Trond Eivind Glomsrxd 2001-02-28 23:09:18 UTC
XEmacs is now added to the list of apps.

As for the second issue, this doesn't happen here... What does your "
*Message-Log*" buffer contain? Also, do you have the directory referred to in
the error message? It doesn't exist here.

Comment 2 Boris Folgmann 2001-03-02 11:06:23 UTC
I figured out that the following dirs/files in
/usr/lib/xemacs/xemacs-packages/lisp/ do not belong to the RPM

/usr/lib/xemacs/xemacs-packages/lisp/locale
/usr/lib/xemacs/xemacs-packages/lisp/locale/ChangeLog
/usr/lib/xemacs/xemacs-packages/lisp/locale/_pkg.el
/usr/lib/xemacs/xemacs-packages/lisp/locale/auto-autoloads.el
/usr/lib/xemacs/xemacs-packages/lisp/locale/auto-autoloads.elc
/usr/lib/xemacs/xemacs-packages/lisp/lookup

I did not install them, so I suppose they were left behind by an old RPM and are
now at a different place that's why
/usr/lib/xemacs/xemacs-packages/lisp/locale/auto-autoloads.el complains that it
is already loaded.
I removed the files and everything is fine now.
Tnx for the help.


Comment 3 Trond Eivind Glomsrxd 2001-03-02 16:27:41 UTC
You could have found out if they were owned by another rpm by using

rpm -qf /full/path/name/file.

Comment 4 Boris Folgmann 2002-09-26 11:21:57 UTC
Thanks teg, I did it this way (rpm -qf).


Note You need to log in before you can comment on or make changes to this bug.